<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">TerrainMaterialGenerator</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::TerrainMaterialGenerator Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#a87dca7208407e824a01d5e07ea92688f">_getCompositeMapRTT</a>()</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#ae6cdf5dafc5bbea8e8241b54689798de">_markChanged</a>()</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#abbe57c1cdc0ff8acb1ab5e837f0aa573">_renderCompositeMap</a>(size_t size, const Rect &amp;rect, const MaterialPtr &amp;mat, const TexturePtr &amp;destCompositeMap)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#a7f9892827501c4907da1775e3c0c067b">canGenerateUsingDeclaration</a>(const TerrainLayerDeclaration &amp;decl)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#aa9e7fb7cee77cc1bb1d88fa6c3de7f5e">generate</a>(const Terrain *terrain)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#acaa6cd4b06a385638fed2603480d8445">generateForCompositeMap</a>(const Terrain *terrain)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#a123e89e77062269eb86d4ad09567b5cb">getActiveProfile</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#a2582ef7b74f57c667dd9141b4d7ce770">getChangeCount</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#ab48af2c30f6b4e04b7f0f33145ebca7f">getDebugLevel</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#a2b588f2e356379764c372ae4c1318b3c">getLayerDeclaration</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#a6076c32528ca504993081e75b4da9f92">getMaxLayers</a>(const Terrain *terrain) const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#a08984aa8f2a4c681a382160853961280">getProfiles</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#ab31900b86aac80a5ac2fd040219f1932">isVertexCompressionSupported</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#a0f04fb94223347d560338399f2fa2cd0">mActiveProfile</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#ab21a210743846b8dd20799f4324fb882">mChangeCounter</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#afb78d081851dbb6945ff07c9c33d48c9">mCompositeMapCam</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#a537affac1f06bed1d3a5c0d42c6dcd2b">mCompositeMapLight</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#abc10291e0f1514a0964f8f5b090efd67">mCompositeMapPlane</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#a85b957996602677758e0ceec23e5bfcc">mCompositeMapRTT</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#a68016a45555fc8c772c76532d1a74aa9">mCompositeMapSM</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#ae58d5426a1d4de2fecece9efecc00834">mDebugLevel</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#a7c256bc180f216bb90f594d3698963a4">mLayerDecl</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#acdbc4cf5bdba5c6577662581c2d9c990">mProfiles</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#a337b92bbdb7651a87c2deaaabfee61bd">ProfileList</a> typedef</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#af56363e3dbbffde7872cf88b869565ac">requestOptions</a>(Terrain *terrain)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#aaf1237c1f7b754f2c4d1d172c7690508">setActiveProfile</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#a0580472a86a3c9cadfe6c494e5005854">setActiveProfile</a>(Profile *p)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#acfbb5218a477deb4065d0eadd8c1f0c3">setDebugLevel</a>(unsigned int dbg)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#a533d059caa8ac039c9591fb47b1ea82e">TerrainMaterialGenerator</a>()</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#aaa151085991db558a3e94748356c8156">updateCompositeMap</a>(const Terrain *terrain, const Rect &amp;rect)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#aed0ac64c47fa577fab20e844b02b0aa5">updateParams</a>(const MaterialPtr &amp;mat, const Terrain *terrain)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#a15db830ec2609de8e70e90861a30b8a7">updateParamsForCompositeMap</a>(const MaterialPtr &amp;mat, const Terrain *terrain)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html#a1de7023a59600699ae10003ec5005fb4">~TerrainMaterialGenerator</a>()</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:12
</p>
</body>
</html>
